Jan Stolarek | 16 Jan 14:52 2014
Picon

Silencing 'cabal configure' warning

Hi all,

When running 'cabal configure' I get a warning that my package database is old:

[killy <at> xerxes : /dane/projekty/singletons] cabal configure
Warning: The package list for 'hackage.haskell.org' is 25 days old.
Run 'cabal update' to get the latest list of available packages.

Is there a way to silence this warning other than running 'cabal update'? I don't want to update 
my package database and getting a warning every time I configure a package is irritating.

Janek
Albert Y. C. Lai | 17 Jan 18:46 2014
Picon

Re: Silencing 'cabal configure' warning

On 14-01-16 08:52 AM, Jan Stolarek wrote:
> When running 'cabal configure' I get a warning that my package database is old:
[...]
> Is there a way to silence this warning other than running 'cabal update'? I don't want to update
> my package database and getting a warning every time I configure a package is irritating.

Explore ~/.cabal/packages/hackage.haskell.org, find out of which files 
to fudge timestamps to fool cabal.

Gmane